### Constructor

# WebKit2 WebsiteDataManager new_ephemeral

#### Declaration [src]

    WebKitWebsiteDataManager*
    webkit_website_data_manager_new_ephemeral (
      void
    )

#### Description [src]

Creates an ephemeral `WebKitWebsiteDataManager`.

See `WebKitWebsiteDataManager:is-ephemeral` for more details.

Available since: | 2.16

#### Return value

Returns: | `WebKitWebsiteDataManager`
| A new ephemeral `WebKitWebsiteDataManager`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.